## cacheSound

### Syntax:

    cacheSound (thisSoundFile);

### Purpose:

Loads (and, if required, decompresses) a sound into memory without playing it. The sound can then be played later without needing to load and decompress it at the time. If the parameter isn't a file handle the code has no effect.

### Return value:

No return value.

### See also:

Using Audio in SLUDGE

freeSound

loopSound

playSound

say and think

setDefaultSoundVolume

setSoundLoopPoints

setSoundVolume

stopSound

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012